Bug 1272696 - Autologin prevents keyring unlock
Autologin prevents keyring unlock
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-17 14:27 EDT by Boricua
Modified: 2016-12-20 10:02 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:02:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Boricua 2015-10-17 14:27:59 EDT
Description of problem:
With autologin enabled, the keyring does not unlock user's passwords.

Version-Release number of selected component (if applicable):


How reproducible:
Every time autologin is enabled.

Steps to Reproduce:
1.Enable autologin.
2.Reboot the computer.
3.

Actual results:
Several programs depending on password input either crash, freeze or do not respond at all. Evolution keeps asking for email accounts passwords; mailnag crashes, online accounts does not work.

Expected results:
All programs depending on password input to respond automatically with their already stored passwords.

Additional info:
This bug might be related to bug 1269581.
Comment 1 Boricua 2015-10-18 10:16:51 EDT
Today I installed updates 3.18.1-1 for gnome-keyring and gnome-keyring-pam, as well as libgnome-keyring 3.12.0-5. After turning on autologin and restarting my system, the situation remained the same, that is, the bug preventing the unlock of the keyring is still present. So, I turned off autologin again, restarted the system and everything is back to normal.
Comment 2 Boricua 2015-10-23 10:11:40 EDT
Updates 3.18.1-2 for gnome-keyring and gnome-keyring-pam appear to have solved this issue. Good job.
Comment 3 Iban Eguia 2016-06-24 07:02:43 EDT
I confirm this happens also in Fedora 24, and without the autologin feature if the user has no password.
Comment 4 Fedora End Of Life 2016-11-24 07:49:44 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 10:02:44 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.